Package com.sun.jna.platform.linux

## Interface LibRT

- All Superinterfaces:
    `Library`

      public interface LibRT
      extends Library

  POSIX.1b Realtime Extensions library (librt). Functions in this library provide most of the interfaces specified by the POSIX.1b Realtime Extension.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static LibRT` | `INSTANCE` |

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `shm_open​(java.lang.String name, int oflag, int mode)` | Creates and opens a new, or opens an existing, POSIX shared memory object.
    `int` | `shm_unlink​(java.lang.String name)` | Removes an object previously created by `shm_open(java.lang.String, int, int)`.

- - ### Field Detail

    - #### INSTANCE

          static final LibRT INSTANCE

  - ### Method Detail

    - #### shm_open

          int shm_open​(java.lang.String name,
                       int oflag,
                       int mode)

      Creates and opens a new, or opens an existing, POSIX shared memory object. A POSIX shared memory object is in effect a handle which can be used by unrelated processes to `mmap()` the same region of shared memory.
      Parameters:
        `name` - The shared memory object to be created or opened. For portable use, a shared memory object should be identified by a name of the form `/somename` that is, a null-terminated string of up to `NAME_MAX` (i.e., 255) characters consisting of an initial slash, followed by one or more characters, none of which are slashes.
        `oflag` - A bit mask created by ORing together exactly one of `O_RDONLY` or `O_RDWR` and any of the other flags `O_CREAT`, `O_EXCL`, or `O_TRUNC`.
        `mode` - When `oflag` includes `O_CREAT`, the object's permission bits are set according to the low-order 9 bits of mode, except that those bits set in the process file mode creation mask (see `umask(2)`) are cleared for the new object.
      Returns:
        On success, returns a file descriptor (a nonnegative integer). On failure, returns -1. On failure, `errno` is set to indicate the cause of the error.

    - #### shm_unlink

          int shm_unlink​(java.lang.String name)

      Removes an object previously created by `shm_open(java.lang.String, int, int)`.
      Parameters:
        `name` - The shared memory object to be unlinked.
      Returns:
        returns 0 on success, or -1 on error. On failure, `errno` is set to indicate the cause of the error.